namespace NetinaShop.AdminPanel.PWA.Services.RestServices;

public interface IOrderRestApi
{
    [Get("")]
    Task<List<OrderSDto>> ReadAll([Query]int page, [Query] long? selectedDate, [Query] OrderStatus? orderStatus, [Query] OrderQueryDateFilter? dateFilter, [Header("Authorization")] string authorization);

    [Get("/{id}")]
    Task<OrderLDto> ReadOne(Guid id, [Header("Authorization")] string authorization);

    [Post("/{id}/confirm")]
    Task<bool> ConfirmOrderStepAsync(Guid id,[Query] OrderStatus nextOrderStatus , [Header("Authorization")] string authorization);

    [Get("/{id}/invoice")]
    Task<HttpContent> GetOrderInvoice(Guid id, [Header("Authorization")] string authorization);
}